/*
	OpenSCAD Template for visualizing cylindertransport.py
*/
module tank(x, r, h) {
	cap = r;
	color("SteelBlue") render() rotate([90,0,0]) {
	translate([x, r, cap]) {
		sphere(r = r); // bottom
		cylinder(h = h-2*cap, r = r);
	}
	translate([x, r, h-cap]) {
		sphere(r = r); // top
		cylinder(h = 30+cap, r = 25);
	}
	}
}

module spacer(x, r, rcylinder, h) {
	cap = rcylinder;

	color("DarkGrey") render() rotate([90,0,0])
	translate([x, r, cap]) {
		difference() {
			cylinder(h = h-2*cap, r = r);
			cylinder(h = h-2*cap, r = r-5);
		}
	}
}
$fn = 20;